org.bouncycastle.crypto

## Class DataLengthException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.bouncycastle.crypto.RuntimeCryptoException
        - - org.bouncycastle.crypto.DataLengthException

All Implemented Interfaces:
  java.io.Serializable

    public class DataLengthException
    extends RuntimeCryptoException

this exception is thrown if a buffer that is meant to have output copied into it turns out to be too short, or if we've been given insufficient input. In general this exception will get thrown rather than an ArrayOutOfBounds exception.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`DataLengthException()` base constructor.
`DataLengthException(java.lang.String message)` create a DataLengthException with the given message.

### Method Summary

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DataLengthException

    public DataLengthException()

base constructor.

#### DataLengthException

    public DataLengthException(java.lang.String message)

create a DataLengthException with the given message.

Parameters:
  `message` - the message to be carried with the exception.